Ask Your Question
1

Packstack install fails w/ NeutronOVS python import error

asked 2014-03-12 09:06:11 -0500

jomara gravatar image

updated 2014-04-03 13:59:27 -0500

larsks gravatar image

Running packstack from a fresh f20 install, I get errors when puppet is trying to install Neutron OVS. I've had "intermittent" issues with packstack before, but I can reliably reproduce this every time.

Steps:

  • fresh f20 install
  • yum install openstack-packstack mariadb mariadb-server
  • mysqld_safe
  • systemctl start mariadb
  • packstack --allinone

Current packstack rpm: openstack-packstack-2013.2.1-0.29.dev956.fc20.noarch

Here's the output from puppet on a failed run: http://fpaste.org/84658/63275413/ (also pasted below) Here's my packstack answer file (unmodified): http://fedorapeople.org/~jomara/packs...

Notice: /Stage[main]/Neutron::Server/Neutron_api_config[filter:authtoken/auth_uri]/ensure: created
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns: No handlers could be found for logger "neutron.common.legacy"
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns: Traceback (most recent call last):
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:   File "/usr/bin/neutron-db-manage", line 10, in <module>
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:     sys.exit(main())
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/db/migration/cli.py", line 143, in main
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:     CONF.command.func(config, CONF.command.name)
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/db/migration/cli.py", line 80, in do_upgrade_downgrade
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:     do_alembic_command(config, cmd, revision, sql=CONF.command.sql)
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/db/migration/cli.py", line 59, in do_alembic_command
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:     getattr(alembic_command, cmd)(config, *args, **kwargs)
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/alembic/command.py", line 123, in upgrade
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:     script.run_env()
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/alembic/script.py", line 193, in run_env
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:     util.load_python_file(self.dir, 'env.py')
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/alembic/util.py", line 177, in load_python_file
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:     module = imp.load_source(module_id, path, open(path, 'rb'))
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/db/migration/alembic_migrations/env.py", line 44, in <module>
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:     importutils.import_class(class_path)
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:   File "/usr/lib/python2.7/site-packages/neutron/openstack/common/importutils.py", line 35, in import_class
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns:     traceback.format_exception(*sys.exc_info())))
Notice: /Stage[main]/Main/Exec[neutron-db-manage upgrade]/returns: ImportError: Class OVSNeutronPluginV2 cannot be found (['Traceback (most recent call last):\n', '  File "/usr/lib/python2.7/site-packages/neutron/openstack/common/importutils.py", line 30, in import_class\n    __import__(mod_str)\n', '  File "/usr/lib/python2.7/site-packages/neutron/plugins/openvswitch/ovs_neutron_plugin.py", line 37, in <module>\n ...
(more)
edit retag flag offensive close merge delete

Comments

There have been new packages released since you posted this. Are you still experiencing the problem?

larsks gravatar imagelarsks ( 2014-04-03 14:00:33 -0500 )edit

1 answer

Sort by ยป oldest newest most voted
0

answered 2014-04-07 01:40:21 -0500

mrunge gravatar image

Please note, you don't need to install mariadb and mysqld_safe (both). Packstack will take care of that.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2014-03-12 09:06:11 -0500

Seen: 452 times

Last updated: Apr 07 '14